/*
 * SPI.h
 *
 * Created: 4.3.2013 18:26:35
 *  Author: Jirka
 */ 


#ifndef SPI_H_
#define SPI_H_

	#define SPI_PORT			PORTB				//Definice Portu pro SPI
	#define SPI_CS_PORT			SPI_PORT	
	#define SPI_MOSI_PORT		SPI_PORT
	#define SPI_MISO_PORT		SPI_PORT
	#define SPI_SCK_PORT		SPI_PORT
	#define SPI_CS_PIN			4
	#define SPI_MOSI_PIN		5
	#define SPI_MISO_PIN		6
	#define SPI_SCK_PIN			7

	void SPI_init (void);
	unsigned char SPI_f(unsigned char);
	unsigned char SPI_write(unsigned char);
	unsigned char SPI_read(void);

#endif /* SPI_H_ */